SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000113SiT!configpublic2008-07-18 11:192010-02-24 21:46
Reporterivan 
Assigned Toivan 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.50Fixed in Version3.45 
Summary0000113: Store config in database
DescriptionWe should allow config variables to be stored in the database. Settings in the database will override settings in the config file but the config file can still be used.

Basically we just need to populate $CONFIG from the database.

Some settings obviously make no sense to be stored as database settings such as the database host name and the database name, so we should force these to be file only.
TagsNo tags attached.
Attached Files

- Relationships
related to 0000082closedivan Tabbed configuration page 
parent of 0000001resolvedivan Plugin manager 
parent of 0000110closedivan Allow list of available language to be configured 
related to 0000098closed A function to modify config variables 

-  Notes
User avatar (0000227)
ivan (administrator)
2008-11-28 15:19

Added ability to to read config values from the database in svn r4281 & r4282

a new table called 'config' is added.
User avatar (0000734)
ivan (administrator)
2009-03-05 14:33

This was added in 3.45

- Issue History
Date Modified Username Field Change
2008-07-18 11:19 ivan New Issue
2008-07-18 11:20 ivan Relationship added related to 0000082
2008-07-18 11:20 ivan Relationship added related to 0000098
2008-07-18 16:25 kieran Relationship added child of 0000001
2008-07-18 16:27 ivan Status new => confirmed
2008-07-18 16:27 ivan Target Version => 3.40
2008-10-04 19:25 paulh Target Version 3.40 => 3.45
2008-10-26 15:41 kieran Relationship deleted child of 0000001
2008-10-26 15:41 kieran Relationship added parent of 0000001
2008-10-26 15:41 kieran Relationship added parent of 0000110
2008-11-28 15:19 ivan Note Added: 0000227
2008-11-29 23:32 kieran Target Version 3.45 => 3.50
2009-03-05 14:33 ivan Note Added: 0000734
2009-03-05 14:33 ivan Assigned To => ivan
2009-03-05 14:33 ivan Status confirmed => resolved
2009-03-05 14:33 ivan Resolution open => fixed
2009-03-05 14:33 ivan Fixed in Version => 3.45
2009-06-17 14:33 ivan Category other => config
2010-02-24 21:46 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker